export declare type HttpClientConfiguration = {
    requestHandler: RequestHandler;
    responseHandler: ResponseHandler;
};
export declare type HttpErrorResponse = {
    code: string | number;
    message: string;
    errors?: Array<Record<any, any>>;
};
export declare type HttpClientResponse<D = any> = {
    status: number;
    data: D | null;
    error: HttpErrorResponse | null;
};
export declare type RequestHandler = <D = any>(url: string, options: any) => Promise<HttpClientResponse<D>>;
export declare type ResponseHandler<D = any> = (data: HttpClientResponse<D>) => Promise<HttpClientResponse<D>>;
export declare type HttpClientCallerOptions<O = Record<any, any>> = {
    options?: O;
    path?: string;
    ignoreResponseHandler?: boolean;
} & Partial<HttpClientConfiguration>;
